Polly

# Polly

Extends MockRequest

This helper works the same as MockRequest helper. It has been included for backwards compatibility reasons. So use MockRequest helper instead of this.

Please refer to MockRequest helper documentation for details.

# Installations

Requires Polly.js library by Netflix installed

npm i @pollyjs/core @pollyjs/adapter-puppeteer --save-dev

Requires Puppeteer helper or WebDriver helper enabled

# Configuration

Just enable helper in config file:

helpers: {
   Puppeteer: {
     // regular Puppeteer config here
   },
   Polly: {}
}

The same can be done when using WebDriver helper..

# Usage

Use I.mockRequest to intercept and mock requests.

Last Updated: 1/4/2020, 4:33:51 AM